\author{Felix Spühler}

\usepackage{etex}
\usepackage[automark]{scrpage2}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{lmodern}
\usepackage{hyphsubst}%
\HyphSubstIfExists{ngerman-x-latest}{%
  \HyphSubstLet{ngerman}{ngerman-x-latest}}{}
\HyphSubstIfExists{german-x-latest}{%
  \HyphSubstLet{german}{german-x-latest}}{}
\usepackage[english,ngerman]{babel}
\usepackage[margin=3cm]{geometry}
\usepackage{tikz}
\usepackage{multirow}
\usepackage{subcaption}
\usepackage{textcomp}
\usepackage{enumitem}
\usepackage{microtype}
\usepackage{framed}
\usepackage{float}

\usepackage{caption}
\usepackage{subcaption}

\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}

\usepackage{pdfpages}
\usepackage{pdflscape}

\usepackage{hyperref}
\usepackage[ruled]{algorithm2e}